summary refs log tree commit diff
diff options
context:
space:
mode:
authorJoe <rubberduckie3554@gmail.com>2019-02-24 18:23:08 -0500
committerJoe <rubberduckie3554@gmail.com>2019-02-24 18:23:08 -0500
commite7b4c9ecb281570fe08661419aefa9232ac5222e (patch)
tree15ab5dd83d8918f6d3c1a389963e7f11eaffc763
parentmore ci updates (diff)
downloadnheko-e7b4c9ecb281570fe08661419aefa9232ac5222e.tar.xz
More CI Fixes
-rwxr-xr-x.ci/script.sh4
-rw-r--r--deps/CMakeLists.txt8
2 files changed, 8 insertions, 4 deletions
diff --git a/.ci/script.sh b/.ci/script.sh
index 4f8101ef..435f2c27 100755
--- a/.ci/script.sh
+++ b/.ci/script.sh
@@ -13,6 +13,10 @@ if [ "$TRAVIS_OS_NAME" == "linux" ]; then
     sudo update-alternatives --set g++ "/usr/bin/${CXX_COMPILER}"
 fi
 
+if [ "$TRAVIS_OS_NAME" == "linux" ]; then
+    source /opt/qt${QT_PKG}/bin/qt${QT_PKG}-env.sh || true;
+fi
+
 if [ "$TRAVIS_OS_NAME" == "osx" ]; then
     export CMAKE_PREFIX_PATH=/usr/local/opt/qt5
 fi
diff --git a/deps/CMakeLists.txt b/deps/CMakeLists.txt
index 290b523d..2679876b 100644
--- a/deps/CMakeLists.txt
+++ b/deps/CMakeLists.txt
@@ -73,10 +73,10 @@ set(SPDLOG_URL https://github.com/gabime/spdlog/archive/v1.1.0.tar.gz)
 set(SPDLOG_HASH
     3dbcbfd8c07e25f5e0d662b194d3a7772ef214358c49ada23c044c4747ce8b19)
 
-set(JSON_HEADER_URL
-    https://github.com/nlohmann/json/releases/download/v3.2.0/json.hpp)
-set(JSON_HEADER_HASH
-    ce6b5610a051ec6795fa11c33854abebb086f0fd67c311f5921c3c07f9531b44)
+set(JSON_URL
+    https://github.com/nlohmann/json.git)
+set(JSON_TAG
+    v3.2.0)
 
 if(USE_BUNDLED_JSON)
   include(Json)